package com.cm.common.pojo.dtos;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: CurrentUserInfoDTO
 * @Description: 当前用户信息
 * @Author: WangGeng
 * @Date: 2020/2/24 2:20 下午
 * @Version: 1.0
 **/
@ApiModel
public class CurrentUserIdInfoDTO {

    @ApiModelProperty(name = "userIdAndValue", value = "用户ID")
    private String userIdAndValue;
    @ApiModelProperty(name = "userNameValue", value = "用户名称")
    private String userNameValue;
    @ApiModelProperty(name = "departmentIdAndNamesValue", value = "部门ID和名称")
    private String departmentIdAndNamesValue;
    @ApiModelProperty(name = "departmentNamesValue", value = "部门名称")
    private String departmentNamesValue;
    @ApiModelProperty(name = "roleIdAndNamesValue", value = "角色ID和名称")
    private String roleIdAndNamesValue;
    @ApiModelProperty(name = "roleNamesValue", value = "角色名称")
    private String roleNamesValue;
    @ApiModelProperty(name = "groupIdAndNamesValue", value = "组名ID和名称")
    private String groupIdAndNamesValue;
    @ApiModelProperty(name = "groupNamesValue", value = "组名称")
    private String groupNamesValue;
    @ApiModelProperty(name = "positionIdAndNamesValue", value = "职位ID和名称")
    private String positionIdAndNamesValue;
    @ApiModelProperty(name = "positionNamesValue", value = "职位名称")
    private String positionNamesValue;

    public String getUserIdAndValue() {
        return userIdAndValue == null ? "" : userIdAndValue.trim();
    }

    public void setUserIdAndValue(String userIdAndValue) {
        this.userIdAndValue = userIdAndValue;
    }

    public String getUserNameValue() {
        return userNameValue == null ? "" : userNameValue.trim();
    }

    public void setUserNameValue(String userNameValue) {
        this.userNameValue = userNameValue;
    }

    public String getDepartmentIdAndNamesValue() {
        return departmentIdAndNamesValue == null ? "" : departmentIdAndNamesValue.trim();
    }

    public void setDepartmentIdAndNamesValue(String departmentIdAndNamesValue) {
        this.departmentIdAndNamesValue = departmentIdAndNamesValue;
    }

    public String getDepartmentNamesValue() {
        return departmentNamesValue == null ? "" : departmentNamesValue.trim();
    }

    public void setDepartmentNamesValue(String departmentNamesValue) {
        this.departmentNamesValue = departmentNamesValue;
    }

    public String getRoleIdAndNamesValue() {
        return roleIdAndNamesValue == null ? "" : roleIdAndNamesValue.trim();
    }

    public void setRoleIdAndNamesValue(String roleIdAndNamesValue) {
        this.roleIdAndNamesValue = roleIdAndNamesValue;
    }

    public String getRoleNamesValue() {
        return roleNamesValue == null ? "" : roleNamesValue.trim();
    }

    public void setRoleNamesValue(String roleNamesValue) {
        this.roleNamesValue = roleNamesValue;
    }

    public String getGroupIdAndNamesValue() {
        return groupIdAndNamesValue == null ? "" : groupIdAndNamesValue.trim();
    }

    public void setGroupIdAndNamesValue(String groupIdAndNamesValue) {
        this.groupIdAndNamesValue = groupIdAndNamesValue;
    }

    public String getGroupNamesValue() {
        return groupNamesValue == null ? "" : groupNamesValue.trim();
    }

    public void setGroupNamesValue(String groupNamesValue) {
        this.groupNamesValue = groupNamesValue;
    }

    public String getPositionIdAndNamesValue() {
        return positionIdAndNamesValue == null ? "" : positionIdAndNamesValue.trim();
    }

    public void setPositionIdAndNamesValue(String positionIdAndNamesValue) {
        this.positionIdAndNamesValue = positionIdAndNamesValue;
    }

    public String getPositionNamesValue() {
        return positionNamesValue == null ? "" : positionNamesValue.trim();
    }

    public void setPositionNamesValue(String positionNamesValue) {
        this.positionNamesValue = positionNamesValue;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"userIdAndValue\":")
                .append("\"").append(userIdAndValue).append("\"");
        sb.append(",\"userNameValue\":")
                .append("\"").append(userNameValue).append("\"");
        sb.append(",\"departmentIdAndNamesValue\":")
                .append("\"").append(departmentIdAndNamesValue).append("\"");
        sb.append(",\"departmentNamesValue\":")
                .append("\"").append(departmentNamesValue).append("\"");
        sb.append(",\"roleIdAndNamesValue\":")
                .append("\"").append(roleIdAndNamesValue).append("\"");
        sb.append(",\"roleNamesValue\":")
                .append("\"").append(roleNamesValue).append("\"");
        sb.append(",\"groupIdAndNamesValue\":")
                .append("\"").append(groupIdAndNamesValue).append("\"");
        sb.append(",\"groupNamesValue\":")
                .append("\"").append(groupNamesValue).append("\"");
        sb.append(",\"positionIdAndNamesValue\":")
                .append("\"").append(positionIdAndNamesValue).append("\"");
        sb.append(",\"positionNamesValue\":")
                .append("\"").append(positionNamesValue).append("\"");
        sb.append('}');
        return sb.toString();
    }
}
